%define name    rxtx
%define ver     2.1
%define subver  7r2
%define cvs     0
%define release 4

Summary: Full Java CommAPI implementation
Name: %{name}
%if %{cvs}
Version: %{ver}_CVS_%{subver}
%else
Version: %{ver}_%{subver}
%endif
Release: %{release}%{?dist}
Group: System Environment/Libraries
License: LGPLv2+
URL: http://www.rxtx.org/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
%if %{cvs}
Source0: ftp://ftp.qbang.org/pub/rxtx/%{name}-%{ver}-CVS-%{subver}.tar.gz
%else
Source0: ftp://ftp.qbang.org/pub/rxtx/%{name}-%{ver}-%{subver}.zip
%endif
Requires(post,postun): /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
RXTX is a full implementation of the Java CommAPI from Sun. It contains
native libraries providing serial and parallel communication for the
Java Development Toolkit (jdk 1.[1-5].*).

%prep
%if %{cvs}
%setup -q -n %{name}-%{ver}-CVS-%{subver}
%else
%setup -q -n %{name}-%{ver}-%{subver}
%endif

%build
%{configure}
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_datadir}/java
%{__install} -d %{buildroot}%{_libdir}

%{__make} install JHOME=%{buildroot}%{_datadir}/java RXTX_PATH=%{buildroot}%{_libdir} INSTALL="install -p"
find %{buildroot}%{_libdir} -name "*.la" -exec %{__rm} -fv {} \;
%{__mv} -f %{buildroot}%{_datadir}/java/RXTXcomm.jar %{buildroot}%{_datadir}/java/RXTXcomm-%{ver}-%{subver}.jar
%{__ln_s} RXTXcomm-%{ver}-%{subver}.jar %{buildroot}%{_datadir}/java/RXTXcomm.jar

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README RMISecurityManager.html COPYING INSTALL PORTING TODO
%dir %{_datadir}/java
%{_datadir}/java/RXTXcomm*.jar
%{_libdir}/lib%{name}*.so

%changelog
* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 2.1_7r2-4
- mass rebuild

* Fri Sep 03 2010 Simon Matter <simon.matter@invoca.ch> 2.1_7r2-3
- change location of jars and libs

* Wed Oct 10 2007 Simon Matter <simon.matter@invoca.ch> 2.1_7r2-2
- use ld.so.conf instead of LD_LIBRARY_PATH

* Thu May 25 2006 Simon Matter <simon.matter@invoca.ch> 2.1_7r2-1
- update to 2.1-7r2

* Wed Feb 23 2005 Simon Matter <simon.matter@invoca.ch>
- enable LD_LIBRARY_PATH hack again, there is no better way to do it.

* Tue Feb 22 2005 Simon Matter <simon.matter@invoca.ch>
- upgrade to current CVS snapshot
- get rid of the LD_LIBRARY_PATH hack

* Wed Nov 19 2003 Simon Matter <simon.matter@invoca.ch>
- initial build
